Module com.io7m.jtensors.orthonormalization
Package com.io7m.jtensors.orthonormalization

## Class POrthonormalized4D.Builder<T>

- java.lang.Object
- - com.io7m.jtensors.orthonormalization.POrthonormalized4D.Builder<T>

- Enclosing class:
    POrthonormalized4D<T>

      public static final class POrthonormalized4D.Builder<T>
      extends Object

  Builds instances of type `POrthonormalized4D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `POrthonormalized4D<T>` | `build​()` | Builds a new `POrthonormalized4D`.
    `POrthonormalized4D.Builder<T>` | `from​(POrthonormalized4DType<T> instance)` | Fill a builder with attribute values from the provided `POrthonormalized4DType` instance.
    `POrthonormalized4D.Builder<T>` | `setV0​(PVector4D<T> v0)` | Initializes the value for the `v0` attribute.
    `POrthonormalized4D.Builder<T>` | `setV1​(PVector4D<T> v1)` | Initializes the value for the `v1` attribute.
    `POrthonormalized4D.Builder<T>` | `setV2​(PVector4D<T> v2)` | Initializes the value for the `v2` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final POrthonormalized4D.Builder<T> from​(POrthonormalized4DType<T> instance)

      Fill a builder with attribute values from the provided `POrthonormalized4DType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setV0

          public final POrthonormalized4D.Builder<T> setV0​(PVector4D<T> v0)

      Initializes the value for the `v0` attribute.
      Parameters:
        `v0` - The value for v0
      Returns:
        `this` builder for use in a chained invocation

    - #### setV1

          public final POrthonormalized4D.Builder<T> setV1​(PVector4D<T> v1)

      Initializes the value for the `v1` attribute.
      Parameters:
        `v1` - The value for v1
      Returns:
        `this` builder for use in a chained invocation

    - #### setV2

          public final POrthonormalized4D.Builder<T> setV2​(PVector4D<T> v2)

      Initializes the value for the `v2` attribute.
      Parameters:
        `v2` - The value for v2
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public POrthonormalized4D<T> build​()

      Builds a new `POrthonormalized4D`.
      Returns:
        An immutable instance of POrthonormalized4D
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com